Package org.apache.wiki.parser

## Class CreoleToJSPWikiTranslator

- java.lang.Object
- - org.apache.wiki.parser.CreoleToJSPWikiTranslator

    public class CreoleToJSPWikiTranslator
    extends java.lang.Object

Translates Creole markp to JSPWiki markup. Simple translator uses regular expressions. See http://www.wikicreole.org for the WikiCreole spec.

This translator can be configured through properties defined in jspwiki.properties starting with "creole.*". See the jspwiki.properties file for an explanation of the properties

WARNING: This is an experimental feature, and known to be broken. Use at your own risk.</o>

See Also:
  Wiki Creole Spec

### Field Summary

Fields
`static java.lang.String` `VAR_CREOLE_VERSION` The version of Creole that this filter supports.
`static java.lang.String` `VAR_LINEBREAK_BLOGLIKE` The linebreak style "bloglike".
`static java.lang.String` `VAR_LINEBREAK_C2LIKE` The linebreak style "c2like".
`static java.lang.String` `VAR_VERSION` The version of the filter.

### Constructor Summary

Constructors
`CreoleToJSPWikiTranslator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `translate​(java.util.Properties wikiProps, java.lang.String content)` Translates Creole markup to JSPWiki markup
`java.lang.String` `translateSignature​(java.util.Properties wikiProps, java.lang.String content, java.lang.String username)` I have no idea what this method does.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### VAR_VERSION

    public static final java.lang.String VAR_VERSION

The version of the filter.

See Also:
  Constant Field Values

#### VAR_CREOLE_VERSION

    public static final java.lang.String VAR_CREOLE_VERSION

The version of Creole that this filter supports.

See Also:
  Constant Field Values

#### VAR_LINEBREAK_BLOGLIKE

    public static final java.lang.String VAR_LINEBREAK_BLOGLIKE

The linebreak style "bloglike".

See Also:
  Constant Field Values

#### VAR_LINEBREAK_C2LIKE

    public static final java.lang.String VAR_LINEBREAK_C2LIKE

The linebreak style "c2like".

See Also:
  Constant Field Values

### Constructor Detail

#### CreoleToJSPWikiTranslator

    public CreoleToJSPWikiTranslator()

### Method Detail

#### translateSignature

    public java.lang.String translateSignature​(java.util.Properties wikiProps,
                                               java.lang.String content,
                                               java.lang.String username)

I have no idea what this method does. Could someone please tell me?

Parameters:
  `wikiProps` - A property set
  `content` - The content to translate?
  `username` - The username in the signature?
Returns:
  Probably some translated content.

#### translate

    public java.lang.String translate​(java.util.Properties wikiProps,
                                      java.lang.String content)

Translates Creole markup to JSPWiki markup

Parameters:
  `wikiProps` - A set of Wiki Properties
  `content` - Creole markup
Returns:
  Wiki markup